# eric5.Tasks.TaskPropertiesDialog

Module implementing the task properties dialog.

### Global Attributes

None

### Classes

TaskPropertiesDialog | Class implementing the task properties dialog.

### Functions

None

## TaskPropertiesDialog

Class implementing the task properties dialog.

### Derived from

QDialog, Ui_TaskPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

TaskPropertiesDialog | Constructor
getData | Public method to retrieve the dialogs data.
setReadOnly | Public slot to set the dialog to read only mode.

### Static Methods

None

#### TaskPropertiesDialog (Constructor)

TaskPropertiesDialog(task=None, parent=None, projectOpen=False)

Constructor

task
  the task object to be shown
parent
  the parent widget (QWidget)
projectOpen
  flag indicating status of the project (boolean)

#### TaskPropertiesDialog.getData

getData()

Public method to retrieve the dialogs data.

Returns:
  tuple of description, priority, completion flag, project flag and long text (string, string, boolean, boolean, string)

#### TaskPropertiesDialog.setReadOnly

setReadOnly()

Public slot to set the dialog to read only mode.

Up